## lava-dispatcher 2014.09.1

=== requirements.txt ===
django
django-openid-auth
pexpect
python-openid
lockfile
python-daemon
setproctitle

## lava-dispatcher 2014.07.1

=== debian/changelog ===
lava-dispatcher (2014.07.1-1) unstable; urgency=medium

  * New upstream bug fix release, including support files
    for lava-dispatcher unit tests(Closes: #758012), support
    for retaining SELinux support in test images and tarballs
    and enable ramdisk booting for cubieboard3.
  * Adapt lintian overrides for new support files

 -- Neil Williams <codehelp@debian.org>  Sun, 17 Aug 2014 11:23:02 +0100

lava-dispatcher (2014.07-1) unstable; urgency=medium

  * New production release
  * Drop use of sync inside dispatcher code.
  * Add proxy support for git and bzr clone operations
  * Raise an error if fetching the test definition fails.
  * Add bzr and launchpadlib to recommends to support test definitions
  * Depend on SELinux support from tar

 -- Neil Williams <codehelp@debian.org>  Thu, 07 Aug 2014 11:35:58 +0100

lava-dispatcher (2014.06.2-1) unstable; urgency=medium

  * New upstream bug fix release for proxy support.
  * Add pep8 to the testsuite dependencies as
    setup.py lists it upstream. (Closes: #755695)

 -- Neil Williams <codehelp@debian.org>  Wed, 23 Jul 2014 19:27:28 +0100

lava-dispatcher (2014.06.1-1) unstable; urgency=medium

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Jul 2014 16:49:42 +0100

lava-dispatcher (2014.06-1) unstable; urgency=medium

  * New upstream production release. 

 -- Neil Williams <codehelp@debian.org>  Wed, 02 Jul 2014 18:48:20 +0100

lava-dispatcher (2014.05.32.13-1) unstable; urgency=medium

  * Use the device and device-types defaults from /usr/lib
    and leave /etc/ for admin overrides only. 

 -- Neil Williams <codehelp@debian.org>  Tue, 01 Jul 2014 16:51:49 +0100

lava-dispatcher (2014.05.29.18-1) unstable; urgency=medium

  * New upstream release
  * conflict & provide the binary package of dashboard-bundle, not the
    source.

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Jun 2014 19:38:43 +0100

lava-dispatcher (2014.05.11.14-1) unstable; urgency=medium

  * New upstream release
  * Add the new vm_group scripts to lintian overrides.
  * Update for merge into upstream master branch.

 -- Neil Williams <codehelp@debian.org>  Wed, 21 May 2014 09:54:18 +0100

lava-dispatcher (2014.04.16-1) experimental; urgency=medium

  * Initial release. (Closes: #747355: ITP: lava-dispatcher -- Linaro
    Automated Validation Architecture dispatcher)
  * Target experimental during final testing.

 -- Neil Williams <codehelp@debian.org>  Fri, 16 May 2014 21:13:36 +0100

lava-dispatcher (0.33.3-10) unstable; urgency=medium

  * Add setuptools dependency and override dh_fixperms for the vm_groups
    key file.
  * Migrate to support LAVANETWORKIFACE and avoid changing existing
    details in /etc/
  * Adapt lintian overrides for changes in python 2.7.6 which no longer
    moves files into /usr/share/pyshared

 -- Neil Williams <codehelp@debian.org>  Wed, 07 May 2014 20:04:45 +0100

lava-dispatcher (0.33.3-9) unstable; urgency=medium

  * Move lava-dispatch to /usr/sbin as it must be run as root.
  * Add support for vm-group ssh keys

 -- Neil Williams <codehelp@debian.org>  Wed, 30 Apr 2014 10:06:41 +0100

lava-dispatcher (0.33.3-8) unstable; urgency=medium

  * Include updates from tip including lzma support
  * Add recommendation for qemu-system-arm on armhf in preparation for
    vm_groups testing.

 -- Neil Williams <codehelp@debian.org>  Fri, 25 Apr 2014 10:34:43 +0100

lava-dispatcher (0.33.3-7) unstable; urgency=medium

  * Add LAVA_NETWORK_IFACE support for dispatchers which change network
    frequently.
  * Update home page location
  * Add sudo as a dependency and nfs support in recommends.

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Apr 2014 10:43:07 +0100

lava-dispatcher (0.33.3-6) unstable; urgency=medium

  * Add arch-dependent libguestfs-tools recommendation.

 -- Neil Williams <codehelp@debian.org>  Sat, 29 Mar 2014 22:21:34 +0000

lava-dispatcher (0.33.3-5) unstable; urgency=medium

  * Add postinst support for retrieving the dispatcher IP addr

 -- Neil Williams <codehelp@debian.org>  Mon, 17 Mar 2014 15:59:15 +0000

lava-dispatcher (0.33.3-4) unstable; urgency=medium

  * Convert to arch:any to support arch-specific recommends like qemu-
    system-x86

 -- Neil Williams <codehelp@debian.org>  Mon, 10 Mar 2014 15:34:12 +0000

lava-dispatcher (0.33.3-3) unstable; urgency=medium

  * Depend on kpartx and package an almost usable lava-dispatcher.conf
  * Add parted for calculation of offsets for loop back mount
    operations.

 -- Neil Williams <codehelp@debian.org>  Tue, 17 Dec 2013 12:22:55 +0000

lava-dispatcher (0.33.3-2) unstable; urgency=medium

  * Recommend qemu-system-x86 to support KVM devices
  * Update copyright

 -- Neil Williams <codehelp@debian.org>  Fri, 13 Dec 2013 13:15:03 +0000

lava-dispatcher (0.33.3-1) unstable; urgency=medium

  * New upstream version

 -- Neil Williams <codehelp@debian.org>  Thu, 28 Nov 2013 11:20:29 +0000

lava-dispatcher (0.33.2-5) unstable; urgency=medium

  * Update python overrides to pick up versioned
    dependency information from upstream setup.py. 

 -- Neil Williams <codehelp@debian.org>  Wed, 27 Nov 2013 15:52:18 +0000

lava-dispatcher (0.33.2-4) unstable; urgency=low

  * Drop doc package, rst files moved to lava-server upstream

 -- Neil Williams <codehelp@debian.org>  Wed, 13 Nov 2013 22:28:05 +0000

lava-dispatcher (0.33.2-3) unstable; urgency=low

  * Adapt to new locations for the lava_test_shell support files.

 -- Neil Williams <codehelp@debian.org>  Mon, 11 Nov 2013 11:11:47 +0000

lava-dispatcher (0.33.2-2) unstable; urgency=low

  * Package the LMP support files

 -- Neil Williams <codehelp@debian.org>  Wed, 06 Nov 2013 11:23:12 +0000

lava-dispatcher (0.33.2-1) unstable; urgency=low

  * Update for working support of a native Debian LAVA install.

 -- Neil Williams <codehelp@debian.org>  Tue, 08 Oct 2013 16:25:46 +0100

lava-dispatcher (0.33.1-1) unstable; urgency=low

  * Merge MultiNode into tip



=== debian/control ===
Source: lava-dispatcher
Section: net
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 python | python-all | python-dev | python-all-dev,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-setuptools (>= 3)
X-Python-Version: 2.7
XS-Testsuite: autopkgtest
Standards-Version: 3.9.5
Homepage: http://www.linaro.org/projects/test-validation/
Vcs-Git: https://github.com/Linaro/pkg-lava-dispatcher.git
Vcs-Browser: https://github.com/Linaro/pkg-lava-dispatcher

Package: lava-dispatcher
Architecture: linux-any
Depends: python-serial (>= 2.6), python-setuptools,
 parted, kpartx, tar (>= 1.27), telnet, ser2net, sshfs,
 sudo, ${python:Depends}, ${misc:Depends}
Conflicts: python-linaro-dashboard-bundle
Provides: python-linaro-dashboard-bundle
Replaces: python-linaro-dashboard-bundle
Multi-Arch: foreign
Recommends: ntp, bzr, git, htop, tftpd-hpa, openbsd-inetd,
 qemu-system-x86 (>= 2.0.0) [amd64], qemu-system-x86 (>= 2.0.0) [i386],
 qemu-system-arm (>= 2.0.0) [armhf],
 libguestfs-tools [amd64], libguestfs-tools [i386],
 nfs-kernel-server, python-launchpadlib, rpcbind,
 u-boot-tools, unzip
Description: Linaro Automated Validation Architecture dispatcher
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides lava-dispatcher to dispatch
 LAVA jobs to configured devices.
 .
 A range of devices are supported for ARM and
 x86 architectures.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, python-testscenarios, pep8
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://releases.linaro.org/latest/components/lava/lava-dispatcher_(.*).tar.gz

## lava-dispatcher 2014.09.1

=== debian/changelog ===
lava-dispatcher (2014.09.1-1) unstable; urgency=medium

  * New hotfix release cherry-picking upstream fixes,
    reviews 3326, 3349 and 3328.
  * Update standards version, no changes
  * Add file to dependencies for use in preparing test overlays.
  * Fix watch file to use upstream git tags

 -- Neil Williams <codehelp@debian.org>  Mon, 20 Oct 2014 18:03:23 +0100

lava-dispatcher (2014.09-1) unstable; urgency=low

  * New upstream release
  * Add git to autopkgtest dependencies
  * Includes support for download urls containing a username &
    password. Patch from Sjoerd Simons. (Closes: #762572)
  * Recreate ext4 filesystems on the DUT in master mode
    (Closes: #762534)

 -- Neil Williams <codehelp@debian.org>  Fri, 03 Oct 2014 15:31:38 +0100

lava-dispatcher (2014.08.2-1) unstable; urgency=medium

  * New production release, including fixes to enable kernel dhcp for
    ramdisk booting, SELinux support for test images an tarballs used
    by master images, add support for dynamic master images, add QEMU
    device types for arm, mips, ppc and aarch64, add support for slave
    device and add role parameter to all remaining JSON schema.

 -- Neil Williams <codehelp@debian.org>  Wed, 17 Sep 2014 10:28:21 -0700

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
  python-setuptools (>= 3)
 X-Python-Version: 2.7
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-dispatcher.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-dispatcher
 
 Package: lava-dispatcher
 Architecture: linux-any
-Depends: python-serial (>= 2.6), python-setuptools,
+Depends: file, python-serial (>= 2.6), python-setuptools,
  parted, kpartx, tar (>= 1.27), telnet, ser2net, sshfs,
  sudo, ${python:Depends}, ${misc:Depends}
 Conflicts: python-linaro-dashboard-bundle

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	python setup.py build
	make -C man/ man

override_dh_auto_install:
	dh_auto_install
	dh_installman -plava-dispatcher man/_build/man/lava-dispatch.1
	python setup.py install --root=$(CURDIR)/debian/lava-dispatcher/ --install-layout=deb
	mv -v debian/lava-dispatcher/usr/bin/lava-dispatch debian/lava-dispatcher/usr/sbin/

override_dh_fixperms:
	dh_fixperms -X debian/lava-dispatcher/usr/lib/python2.7/dist-packages/lava_dispatcher/device/dynamic_vm_keys/lava
	# vm_groups use a shared private key - use the same location for debian & ubuntu
	chmod 0600 debian/lava-dispatcher/usr/lib/python2.7/dist-packages/lava_dispatcher/device/dynamic_vm_keys/lava

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r lava_dispatcher.egg-info setup.cfg .idea/
	$(RM) -r versiontools-*.egg/ doc/build/ doc/html/
	[ ! -f man/Makefile ] || make -C man/ clean

# get upstream version for get-orig-source target
VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')

sdist-orig:
	python setup.py sdist
	mv -v dist/lava-dispatcher-$(VERSION)*.tar.gz ../lava-dispatcher_$(VERSION).orig.tar.gz
	$(RM) -r versiontools-*.egg/

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, python-testscenarios, pep8, git
Restrictions: allow-stderr

## lava-dispatcher 2015.05

=== debian/changelog ===
lava-dispatcher (2015.05-1) unstable; urgency=medium

  * New production release for unstable.
  * Add support for using a static timestamp on manpage.
  * Tidy up dep-5 file listings in copyright

 -- Neil Williams <codehelp@debian.org>  Wed, 22 Apr 2015 14:00:29 +0100

lava-dispatcher (2015.04-1) experimental; urgency=medium

  * New production release
  * Includes new slave daemon for refactoring support.

 -- Neil Williams <codehelp@debian.org>  Wed, 08 Apr 2015 10:33:46 +0100

lava-dispatcher (2015.03-1) experimental; urgency=medium

  * New production release.
  * Update adt test run dependencies 
  * Add nose to pydist-overrides

 -- Neil Williams <codehelp@debian.org>  Wed, 11 Feb 2015 16:40:38 +0800

lava-dispatcher (2015.01-1) experimental; urgency=medium

  * New production release
  * Add xz-utils for xz and lzma support.
  * Add lintian override for more test shell support scripts for
    openembedded.

 -- Neil Williams <codehelp@debian.org>  Wed, 11 Feb 2015 13:39:16 +0800

lava-dispatcher (2014.12-1) experimental; urgency=medium

  * New production release
  * Add dh-python to Build-Depends
  * Add telnet to test dependencies
  * Add support for netifaces dependency.

 -- Neil Williams <codehelp@debian.org>  Thu, 04 Dec 2014 08:59:20 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 8.0.0), dh-python,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-setuptools (>= 3)
@@ -30,7 +30,7 @@
  qemu-system-arm (>= 2.0.0) [armhf],
  libguestfs-tools [amd64], libguestfs-tools [i386],
  nfs-kernel-server, python-launchpadlib, rpcbind,
- u-boot-tools, unzip
+ python-setproctitle, u-boot-tools, unzip, xz-utils
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 # Prevent setuptools/distribute from accessing the internet.
 export http_proxy = http://127.0.9.1:9
 
+export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
@@ -23,14 +26,18 @@
 	dh $@ --with python2
 
 override_dh_auto_build:
+	[ ! -f etc/lava-slave.init ] || cp etc/lava-slave.init debian/lava-dispatcher.lava-slave.init
 	dh_auto_build
 	python setup.py build
-	make -C man/ man
+	make -C man/ man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 
 override_dh_auto_install:
 	dh_auto_install
 	dh_installman -plava-dispatcher man/_build/man/lava-dispatch.1
+	# support the optional slave init daemon
+	[ ! -f debian/lava-dispatcher.lava-slave.init ] || dh_installinit --name lava-slave
 	python setup.py install --root=$(CURDIR)/debian/lava-dispatcher/ --install-layout=deb
+	$(RM) debian/lava-dispatcher/etc/init.d/lava-slave.init
 	mv -v debian/lava-dispatcher/usr/bin/lava-dispatch debian/lava-dispatcher/usr/sbin/
 
 override_dh_fixperms:

## lava-dispatcher 2015.06

=== debian/changelog ===
lava-dispatcher (2015.06-1) unstable; urgency=medium

  * New upstream production release
  * Ensure usable permissions for the vmgroups public key

 -- Neil Williams <codehelp@debian.org>  Thu, 11 Jun 2015 09:24:39 +0100

lava-dispatcher (2015.05-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Fri, 15 May 2015 11:37:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	dh_fixperms -X debian/lava-dispatcher/usr/lib/python2.7/dist-packages/lava_dispatcher/device/dynamic_vm_keys/lava
 	# vm_groups use a shared private key - use the same location for debian & ubuntu
 	chmod 0600 debian/lava-dispatcher/usr/lib/python2.7/dist-packages/lava_dispatcher/device/dynamic_vm_keys/lava
+	chmod 0644 debian/lava-dispatcher/usr/lib/python2.7/dist-packages/lava_dispatcher/device/dynamic_vm_keys/lava.pub
 
 override_dh_auto_clean:
 	dh_auto_clean

## lava-dispatcher 2015.07

=== debian/changelog ===
lava-dispatcher (2015.07-1) unstable; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Mon, 06 Jul 2015 09:19:46 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Package: lava-dispatcher
 Architecture: linux-any
 Depends: file, python-serial (>= 2.6), python-setuptools,
- parted, kpartx, tar (>= 1.27), telnet, ser2net, sshfs,
- sudo, ${python:Depends}, ${misc:Depends}
+ python-daemon, parted, kpartx, tar (>= 1.27), telnet,
+ ser2net, sshfs, sudo, ${python:Depends}, ${misc:Depends}
 Conflicts: python-linaro-dashboard-bundle
 Provides: python-linaro-dashboard-bundle
 Replaces: python-linaro-dashboard-bundle

## lava-dispatcher 2015.8

=== debian/changelog ===
lava-dispatcher (2015.8-1) unstable; urgency=medium

  [ Senthil Kumaran S (stylesen) ]
  * Add lxc and bridge-utils to recommended dependency

  [ Neil Williams ]
  * New production release
  * Stop including /etc/default/tftpd-hpa (Closes: #791614)

 -- Neil Williams <codehelp@debian.org>  Mon, 03 Aug 2015 08:36:57 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  qemu-system-arm (>= 2.0.0) [armhf],
  libguestfs-tools [amd64], libguestfs-tools [i386],
  nfs-kernel-server, python-launchpadlib, rpcbind,
- python-setproctitle, u-boot-tools, unzip, xz-utils
+ python-setproctitle, u-boot-tools, unzip, xz-utils, lxc, bridge-utils
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_installman -plava-dispatcher man/_build/man/lava-dispatch.1
+	[ -f man/_build/man/lava-slave.8 ] && dh_installman -plava-dispatcher man/_build/man/lava-slave.8
 	# support the optional slave init daemon
 	[ ! -f debian/lava-dispatcher.lava-slave.init ] || dh_installinit --name lava-slave
 	python setup.py install --root=$(CURDIR)/debian/lava-dispatcher/ --install-layout=deb

## lava-dispatcher 2015.8.1

=== debian/changelog ===
lava-dispatcher (2015.8.1-1) unstable; urgency=medium

  * Hot fix production release

 -- Neil Williams <codehelp@debian.org>  Fri, 07 Aug 2015 10:29:26 +0100

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
 python-testscenarios, pep8, git, telnet, qemu-system-x86,
 nfs-kernel-server, u-boot-tools, iproute2, tftpd-hpa
Restrictions: allow-stderr

## lava-dispatcher 2015.9

=== debian/changelog ===
lava-dispatcher (2015.9-1ubuntu1) xenial; urgency=medium

  * d/patches/skip-missing-images.patch: Skip some tests when run under
    autopkgtest because they reference URLs that no longer exist.
  * d/control: update-maintainer

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 29 Oct 2015 18:04:04 -0400

lava-dispatcher (2015.9-1) unstable; urgency=medium

  * New production release
  * Add Senthil Kumaran S (stylesen) as an uploader.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Thu, 10 Sep 2015 13:59:10 +0530

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: lava-dispatcher
 Section: net
 Priority: optional
-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
- Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>
+ Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
+ Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), dh-python,
  python | python-all | python-dev | python-all-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

#http://releases.linaro.org/latest/components/lava/lava-dispatcher_(\d+.\d+.\d?)\d*.*.tar.gz

https://git.linaro.org/lava/lava-dispatcher.git/tags /lava/lava-dispatcher.git/log/refs/tags/(.*)

## lava-dispatcher 2015.12

=== debian/changelog ===
lava-dispatcher (2015.12-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Thu, 24 Dec 2015 12:00:39 +0000

lava-dispatcher (2015.12-1) unstable; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Dec 2015 09:40:30 +0000

lava-dispatcher (2015.11-1) unstable; urgency=medium

  * New production release

 -- Neil Williams <codehelp@debian.org>  Mon, 02 Nov 2015 13:35:50 +0000

lava-dispatcher (2015.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 13 Oct 2015 18:06:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lava-dispatcher
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
+Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
  Neil Williams <codehelp@debian.org>,
  Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
@@ -30,6 +29,7 @@
 Recommends: ntp, bzr, git, htop, tftpd-hpa, openbsd-inetd,
  qemu-system-x86 (>= 2.0.0) [amd64], qemu-system-x86 (>= 2.0.0) [i386],
  qemu-system-arm (>= 2.0.0) [armhf],
+ android-tools-adb, android-tools-fastboot,
  libguestfs-tools [amd64], libguestfs-tools [i386],
  nfs-kernel-server, python-launchpadlib, rpcbind,
  python-setproctitle, u-boot-tools, unzip, xz-utils, lxc, bridge-utils

## lava-dispatcher 2016.2

=== debian/changelog ===
lava-dispatcher (2016.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Feb 2016 20:10:14 +0000

lava-dispatcher (2016.2-1) unstable; urgency=medium

  * New production release 

 -- Neil Williams <codehelp@debian.org>  Tue, 02 Feb 2016 08:34:13 +0000

## lava-dispatcher 2016.3

=== debian/changelog ===
lava-dispatcher (2016.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 15 Mar 2016 11:11:36 +0000

lava-dispatcher (2016.3-1) unstable; urgency=medium

  * New production release.
  * Update standards version.
  * Update copyright file with changes from debmake
  * Ensure lava-slave log file is rotated
  * Fix handling of ramdisk when combined with NFS for armmp testing.
  * Add ConfigObj support for improved tftp config parsing.
  * Combine compression handling for consistent handling.
  * Workaround broken 302 redirects.

 -- Neil Williams <codehelp@debian.org>  Fri, 04 Mar 2016 15:03:01 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
  python-setuptools (>= 3)
 X-Python-Version: 2.7
-XS-Testsuite: autopkgtest
-Standards-Version: 3.9.6
+Testsuite: autopkgtest
+Standards-Version: 3.9.7
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-dispatcher.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-dispatcher

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
 python-testscenarios, pep8, git, telnet, qemu-system-x86,
 nfs-kernel-server, u-boot-tools, iproute2, tftpd-hpa,
 android-tools-fastboot, android-tools-adb
Restrictions: allow-stderr

## lava-dispatcher 2016.4

=== debian/changelog ===
lava-dispatcher (2016.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Wed, 27 Apr 2016 08:22:39 +0100

lava-dispatcher (2016.4-2) unstable; urgency=medium

  * Add extra packages, schroot & bzr, for autopkgtest.

 -- Neil Williams <codehelp@debian.org>  Wed, 20 Apr 2016 15:27:35 +0100

lava-dispatcher (2016.4-1) unstable; urgency=medium

  * New production release
    Allow for adb not being available on some arches
    Support ramdisks that are not compressed
    Move the ramdisk header requirements into the device template
    Fix calling the Bzr unit tests
    Use tar flags from deployment data when unpacking overlay
    kvm-aarch32: introduce device type for 32-bit guest on 64-bit KVM
    host
    kvm-aarch64: expose a virtual random number generator (RNG) to the
    guest
    Provide an apache2 config for V2 workers
    Initial support for device using GRUB bootloader in V2
    Add in the ability to halt the V1 master image before powering off
    No longer require ssh options or identity_file
    Don't use -p port in SCP options

 -- Neil Williams <codehelp@debian.org>  Mon, 18 Apr 2016 15:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -27,12 +27,12 @@
 Replaces: python-linaro-dashboard-bundle
 Multi-Arch: foreign
 Recommends: ntp, bzr, git, htop, tftpd-hpa, openbsd-inetd,
- qemu-system-x86 (>= 2.0.0) [amd64], qemu-system-x86 (>= 2.0.0) [i386],
- qemu-system-arm (>= 2.0.0) [armhf],
+ qemu-system-x86 (>= 2.0.0) [amd64 i386],
+ qemu-system-arm (>= 2.0.0) [armhf arm64], qemu-system-aarch64 (>= 2.0.0) [arm64],
  android-tools-adb, android-tools-fastboot,
- libguestfs-tools [amd64], libguestfs-tools [i386],
- nfs-kernel-server, python-launchpadlib, rpcbind,
- python-setproctitle, u-boot-tools, unzip, xz-utils, lxc, bridge-utils
+ libguestfs-tools [amd64 i386], nfs-kernel-server, python-launchpadlib,
+ rpcbind, python-setproctitle, u-boot-tools, unzip, xz-utils, lxc,
+ bridge-utils
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
 python-testscenarios, pep8, git, telnet, qemu-system-x86,
 nfs-kernel-server, u-boot-tools, iproute2, tftpd-hpa,
 fastboot, adb, schroot
Restrictions: allow-stderr

## lava-dispatcher 2016.6

=== debian/changelog ===
lava-dispatcher (2016.6-1) unstable; urgency=medium

  * New production release
  * Load the overlay as an extra QEMU drive to prevent
    need for loopback devices.
  * Support delays between sending characters for all actions
  * LXC support for fastboot and adb and drop the need for adb or
    fastboot to be installed.
  * Remove adb related code
  * Port V2 unit tests only to python3
  * ZMQ: Support encryption of the logs sent to the server
  * Add support for QEMU Debian Installer tests
  * Update standards version (no changes)
  * Remove adb and fastboot from recommends and add python-guestfs as a
    dependency.

 -- Neil Williams <codehelp@debian.org>  Tue, 07 Jun 2016 07:50:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python-setuptools (>= 3)
 X-Python-Version: 2.7
 Testsuite: autopkgtest
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-dispatcher.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-dispatcher
@@ -20,8 +20,8 @@
 Package: lava-dispatcher
 Architecture: linux-any
 Depends: file, python-serial (>= 2.6), python-setuptools,
- python-daemon, parted, kpartx, tar (>= 1.27), telnet,
- ser2net, sshfs, sudo, ${python:Depends}, ${misc:Depends}
+ python-daemon, python-guestfs, parted, kpartx, tar (>= 1.27),
+ ser2net, sshfs, sudo, telnet, ${python:Depends}, ${misc:Depends}
 Conflicts: python-linaro-dashboard-bundle
 Provides: python-linaro-dashboard-bundle
 Replaces: python-linaro-dashboard-bundle
@@ -29,9 +29,8 @@
 Recommends: ntp, bzr, git, htop, tftpd-hpa, openbsd-inetd,
  qemu-system-x86 (>= 2.0.0) [amd64 i386],
  qemu-system-arm (>= 2.0.0) [armhf arm64], qemu-system-aarch64 (>= 2.0.0) [arm64],
- android-tools-adb, android-tools-fastboot,
  libguestfs-tools [amd64 i386], nfs-kernel-server, python-launchpadlib,
- rpcbind, python-setproctitle, u-boot-tools, unzip, xz-utils, lxc,
+ rpcbind, python-setproctitle, u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.0),
  bridge-utils
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating

## lava-dispatcher 2016.8

=== debian/changelog ===
lava-dispatcher (2016.8-1) unstable; urgency=medium

  * New production release
    Only require conversion parameters if using conversion.
    Support some basic kernel conversion tasks
    Export the 'secrets' dictionary to the overlay
    uboot: only log self.errors when it's not empty
    Enabling NFS only deployment
    Fix connection_timeout handling for lava-test-shell
    validate needs to set errors, not raise
    Fixes for multinode without needing ACK
    Device environment: fix a crash if env_dut is None
    Unavailable qemu command should not fail unit tests.
    Use character_delays instead of character-delays
    Tests: Use the name defined in the job definition
    Show when a revision is being applied for VCS
    Fix bug #2263 - parameters and params reference in job def and test def
    Improve logging and use lazy logging
    Log more test results metadata
    LAVA-708 - Device path should be a list
    Support kickstart installations on grub, and centos distro type
    Allow for a prefix with nfsrootfs
    Finalize: send the job status with the right level
    log: send the full exception untouched
    beaglebone-black: update load addresses for larger multiplatform kernels
    Take into account, device_path that is unset.
    Fix YAML formatting of wait string log
    change the result logging format
    Add sample nexus9 device dictionary.
    LAVA-701 - Support vendor flashing using fastboot.
    utils/messages.py: fix out of index error
    Add support for fixup dictionary and patterns
    Ensure guest command is available in multinode
    Stop V2 test shells needing an ACK from the dispatcher
    logging: add datetime and a better structure
    Upgrade the failure test case for lavabot
    First batch of VExpress changes
    Handle ValueError while waiting

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Aug 2016 08:27:31 +0100

lava-dispatcher (2016.6-2) unstable; urgency=medium

  * Align architecture list with guestfs support, also dropping armel

 -- Neil Williams <codehelp@debian.org>  Sat, 11 Jun 2016 12:18:52 +0100

## lava-dispatcher 2016.9

=== debian/changelog ===
lava-dispatcher (2016.9-1) unstable; urgency=medium

  * 2016.9 production release
    Catch the edge case where serial line corruption means we miss the testrun
    Add support for alternative Test actions
    Update manpage of lava-slave for configuration change.
    Allow configuring the slave from file
    git: use -C instead of --git-dir
    Allow setting the envrionment on most systems
    Handle exceptions from subprocess from compression
    download: don't expand the path when retrying
    Grab finalize from the root pipeline
    Log exception as strings and not objects
    LAVA-740 - export vlan names and interface names
    Reopen log file when rotating the logs
    LAVA-699 - Support hi6220-hikey board with lxc
    Init: remove the right lock file and simplify
    pipeline:vland: raise JobError if switch_id or port_id is None
    Remove redundant assignation
    Allow logging at the validate stage
    Force the shell to produce an initial prompt
    Handle errors if the testrun start is omitted.
    Pipeline parser: sort and reverse in one call
    logs: remove unused support for local logs
    slave: put all tmp files into the same directory
    Power: improve logging message
    Exclude patterns from description
    Port lava-slave to Python3
    ApplyOverlayTftp: remove duplicated untar_file
    ExportDeviceEnvironment: only source valid shell_file's
    add LEDE to available distributions
    Always log the command to be run beforehand.
  * Update lava-slave file handling
    The daemon is no longer optional, so remove the
    old conditions. Add support for the option file in
    /etc/lava-dispatcher/lava-slave
  * Add override for new lava-vland-names test helper

 -- Neil Williams <codehelp@debian.org>  Wed, 07 Sep 2016 07:35:09 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Vcs-Browser: https://github.com/Linaro/pkg-lava-dispatcher
 
 Package: lava-dispatcher
-Architecture: linux-any
+Architecture: amd64 arm64 armhf i386 mipsel powerpc ppc64el s390x ppc64
 Depends: file, python-serial (>= 2.6), python-setuptools,
  python-daemon, python-guestfs, parted, kpartx, tar (>= 1.27),
  ser2net, sshfs, sudo, telnet, ${python:Depends}, ${misc:Depends}
@@ -31,7 +31,7 @@
  qemu-system-arm (>= 2.0.0) [armhf arm64], qemu-system-aarch64 (>= 2.0.0) [arm64],
  libguestfs-tools [amd64 i386], nfs-kernel-server, python-launchpadlib,
  rpcbind, python-setproctitle, u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.0),
- bridge-utils
+ bridge-utils, rsync
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@,
 python-testscenarios, pep8, git, telnet, qemu-system-x86,
 nfs-kernel-server, u-boot-tools, iproute2, tftpd-hpa,
 schroot
Restrictions: allow-stderr

## lava-dispatcher 2016.11

=== debian/changelog ===
lava-dispatcher (2016.11-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 15 Nov 2016 16:50:18 +0000

lava-dispatcher (2016.11-1) unstable; urgency=medium

  * New production release aimed at Stretch.
    Release details available at:
    https://projects.linaro.org/browse/LAVA-789?filter=12078
  * Update compat
  * Highlights of upstream changes:
    Ensure namespace is available to the test shell.
    cpio output is not an error
    Downgrade message match failure to a warning
    Fix up usage of LXC with a device
    Only attempt lxc-destroy if the container exists based on exitstatus.
    Drop ShellLogger __del__ command
    Improve accepts for monitored QEMU
    Strategy needs to check methods, not device_type
    Support parallel (pbzip2) compressed bzip2 files
    Allow vendor U-Boot builds using Ctrl interrupts
    Improve cpio extract command line and error message
    slave: do not send None as error code
    slave: send a SIGINT to lava-dispatch to cancel
    Making target IP and MAC addresses available in lava test shell
    TestShell: allow multiple test shells
    Fix kernel message detection for panic
    testdef: remove unused common data
    Fix the logic regarding the pipeline building
    shell: make testdef_index common data a list
    device/target: allow multiple boot control chars
    Add 943907AEVAL1F to pyocd deploy supported devices
    Check if container exists before destroying.
    Do not generate results.yaml
    Fix uefi_menu pipeline for fastboot.
    slave: move tmp files to /var/
    Add device to lxc only when it is available.
    device-types: add Amlogic meson8b-odroidc1 board
    LAVA-755 - use UUID for guest, not label.
    slave: send an error code when err is not empty
    Fix git-repos reference in inline test definition.
    Allow a different bootloader interrupt character
    Make pipeline logging python3 compatible
    slave: fix a crash under python3
    device-types: add Amlogic meson-gxbb-p200 board
    device-types: add TI da850-lcdk
    bootloader: add ramdisk_raw option
    Detect invalid characters in testdefinition name
    Fix timeout inheritance from job definition blocks
    Set the right permis when creating the ramdisk dir
    ci-run: exclude the .eggs directory
    tests: Close the file descriptors
    Fix root directory of V2 apache config
    LAVA-760 - Trim LXC log output
    Require a summary and description to validate
    Additional changes for removable media usage
    Fix extra_options to always be a list of strings
    Do not set kernel type for all 'kernel' YAML keys
    Action: re-raised the exception without modification
    LAVA-748 ensure test definition names are unique
    Change sample jobs urls to images.v.l.o
    Allow testdefinitions without run steps
    Generate the pipeline description on the slave
    slave: fix the END message parameters
    Use the QEMU extra options where available
    slave: resend the END message if the ack was lost
    slave: send the error file along with the END message
    Move tmp files to /var/lib/lava/dispatcher/job_id/
    Only extract the nfsrootfs once.
    Use the uboot interrupt prompt from templates
    Improve LXC HiKey support.
    Don't end test shell at invalid testcase name
    SignalMatch: simplify and fix exception message
    Shell: improve report formatting
    Shell: factorize handling of measurements
    RetryAction: log errors
    Shell: factorize signal handling
    Move override and log_results functions into Action
    Initial support for PyOCD
    Use \r\n for newlines
    Allow guest drive interface to be specified
    allow-modify functionality added

 -- Neil Williams <codehelp@debian.org>  Wed, 09 Nov 2016 11:56:32 +0000

lava-dispatcher (2016.6-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 20 Jun 2016 19:25:04 +0100

=== debian/control ===
--- 
+++ 
@@ -19,19 +19,20 @@
 
 Package: lava-dispatcher
 Architecture: amd64 arm64 armhf i386 mipsel powerpc ppc64el s390x ppc64
-Depends: file, python-serial (>= 2.6), python-setuptools,
- python-daemon, python-guestfs, parted, kpartx, tar (>= 1.27),
- ser2net, sshfs, sudo, telnet, ${python:Depends}, ${misc:Depends}
+Depends: file, lsb-base (>= 4), python-serial (>= 2.6), python-setuptools,
+ python-daemon, python-guestfs, parted, tar (>= 1.27),
+ ser2net, sudo, telnet, ${python:Depends}, ${misc:Depends}
 Conflicts: python-linaro-dashboard-bundle
 Provides: python-linaro-dashboard-bundle
 Replaces: python-linaro-dashboard-bundle
 Multi-Arch: foreign
-Recommends: ntp, bzr, git, htop, tftpd-hpa, openbsd-inetd,
+Recommends: ntp, git, kpartx, tftpd-hpa, openbsd-inetd,
  qemu-system-x86 (>= 2.0.0) [amd64 i386],
  qemu-system-arm (>= 2.0.0) [armhf arm64], qemu-system-aarch64 (>= 2.0.0) [arm64],
- libguestfs-tools [amd64 i386], nfs-kernel-server, python-launchpadlib,
- rpcbind, python-setproctitle, u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.0),
- bridge-utils, rsync
+ libguestfs-tools [amd64 i386], nfs-kernel-server, rpcbind,
+ python-setproctitle, u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.0),
+ bridge-utils, rsync, sshfs
+Suggests: bzr
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.

## lava-dispatcher 2016.12

=== debian/changelog ===
lava-dispatcher (2016.12-1) unstable; urgency=medium

  * New production release
    19fd79a9 Update preseed support for namespace changes
    ef352abf Update zephyr sample jobs to use LAVA functional test urls
    1301258a LAVA-498 - Support dragonboard-410c with lxc
    1e0b60d2 Ensure pyudev version is >= 0.21
    7d6a8134 Update the DFU boot code for namespace changes
    161e8b47 Ensure installer tests share the final connection
    567ddf0d remove duplicate call
    e49bd971 Fix namespace error in flash_cmds_order retrieval.
    cb04549d Set connection for secondary media deployments
    dcd75e7b Use correct suffix for secondary media deployments
    2a7b386f Declare the original ramdisk as compressed
    fd73e937 Support DFU devices
    6aa7280c LAVA-504 - Dynamic fastboot partition support in pipeline
    9228901a LAVA-809 - Show HiKey kernel boot messages
    774c7557 Extend namespace fixes for secondary connections
    dc5bec22 Action: Always call super() in validate()
    9b983cdf GitRepoAction: do not call validate twice
    bd112aab Make namespaces common to all dynamic data operations
    2e83e2ca Prevent invalid measurements being reported
    1768c181 Fix testlevels for multi-test LXC jobs
    0a49da8e Give namespaces to all actions and support simpler code flow
    2423a123 slave: send the protocol version with HELLO message
    983d3775 Ensure fixupdict is checked in test_case_result
    08f79918 slave: writing an empty string to a file is valid
    c6f382ef Move cleanup_actions from Action to Job
    bc56ca24 Remove unused Action, Pipeline and Job members
    1256f31e Run.sh should use set -x
    a726be8f Allow install-steps to use the git-repo directly
    b0ca553a Create a useful exception message
    077aca26 slave: don't crash when lava-dispatch can't start
    543ed4af Honor USB device wait timeout and add device before returning connection
    0e07089f Fix problem with duplicate test shells failing
    f14747c1 Use dnf instead of yum on Fedora version greater than or equal to 22.
    efdaabc1 More fix for usage of LXC with a device.
    2d188baa Limit repetitive kernel message log entries
    c3455a11 Allow newline line separator to be overriden per bootloader
    01a482f6 Fix for Debian reproducible builds.
    62c07465 Indicate that character delay is in milliseconds
    c1f79680 Remove hardcoded character delay in ipxe
    e43552b3 Fixing secondary media deployment
    e885c881 device-types: add Renesas r8a7795 Salvator-X board
    1374289b device-types: add Amlogic meson-gxbb-odroidc2

 -- Neil Williams <codehelp@debian.org>  Thu, 22 Dec 2016 11:48:13 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  qemu-system-x86 (>= 2.0.0) [amd64 i386],
  qemu-system-arm (>= 2.0.0) [armhf arm64], qemu-system-aarch64 (>= 2.0.0) [arm64],
  libguestfs-tools [amd64 i386], nfs-kernel-server, rpcbind,
- python-setproctitle, u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.0),
+ python-setproctitle, u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.6),
  bridge-utils, rsync, sshfs
 Suggests: bzr
 Description: Linaro Automated Validation Architecture dispatcher
